Last Comment Bug 388181 - Crash closing detached JavaScript alert sheet [@ TestWindowGroupAttributes] [@ nsMacEventHandler::HandleActivateEvent]
: Crash closing detached JavaScript alert sheet [@ TestWindowGroupAttributes] [...
Status: RESOLVED FIXED
: crash, testcase, verified1.8.1.8
Product: Core Graveyard
Classification: Graveyard
Component: Widget: Mac (show other bugs)
: 1.8 Branch
: PowerPC Mac OS X
: -- critical (vote)
: ---
Assigned To: Mats Palmgren (:mats)
:
Mentors:
http://bugs.webkit.org/attachment.cgi...
Depends on:
Blocks: 378990 399065
  Show dependency treegraph
 
Reported: 2007-07-14 14:56 PDT by David D. Kilzer (ddk)
Modified: 2011-06-09 14:58 PDT (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Extensions installed (76.07 KB, image/png)
2007-07-14 15:27 PDT, David D. Kilzer (ddk)
no flags Details
Crash data (21.79 KB, text/plain)
2007-07-15 15:55 PDT, Mats Palmgren (:mats)
no flags Details
Patch rev. 1 (5.39 KB, patch)
2007-07-16 08:08 PDT, Mats Palmgren (:mats)
jaas: review+
roc: superreview+
dveditz: approval1.8.1.8+
Details | Diff | Splinter Review
Crash Log for SM when FF works ok (41.81 KB, text/plain)
2007-08-20 13:55 PDT, David Ross
no flags Details

Description David D. Kilzer (ddk) 2007-07-14 14:56:44 PDT
* SUMMARY
Crash in Firefox 2.0.0.4 on Mac OS X 10.4.10 (8R218) when opening a particular URL, closing the browser window, then closing a detached JavaScript alert sheet.

* STEPS TO REPRODUCE
1. Launch Firefox 2.0.0.4.
2. Open URL:  http://bugs.webkit.org/attachment.cgi?id=15496
3. Wait until "Whatever" appears in right frame.  (NOTE: Page never stops loading.)
4. Close browser window.
5. Switch to another OS X application (Finder, whatever).
6. Switch back to Firefox.
7. Dismiss JavaScript alert sheet that has now been painted without a browser window.
8. Firefox crashes.

* REGRESSION
Only tested with Firefox 2.0.0.4 on Mac OS X 10.4.10 (8R218).

* NOTES
Talkback incident filed on the first crash (subsequent crashes did not create a Talkback incident):

http://talkback-public.mozilla.org/search/start.jsp?search=2&type=iid&id=34039143

The attachment that causes a crash is for this WebKit bug:

http://bugs.webkit.org/show_bug.cgi?id=14599
Comment 1 Carsten Book [:Tomcat] 2007-07-14 15:21:30 PDT
no crash for me with Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.5) Gecko/2007071317 Firefox/2.0.0.5 - 2005 RC2 
Comment 2 David D. Kilzer (ddk) 2007-07-14 15:27:28 PDT
Created attachment 272346 [details]
Extensions installed

Is there a better way to list extensions installed than a screenshot?
Comment 3 Mats Palmgren (:mats) 2007-07-15 15:16:18 PDT
I can reproduce the crash in 2.0.0.4 and 2.0.0.5-RC2 on MacOSX 10.4.10
(no add-ons except the default DOMI and Talkback).  The crash didn't
trigger Talkback for me.
Comment 4 Samuel Sidler (old account; do not CC) 2007-07-15 15:26:16 PDT
Mats, can you attach a system crash log?
Comment 5 Mats Palmgren (:mats) 2007-07-15 15:55:19 PDT
Created attachment 272426 [details]
Crash data
Comment 6 Phil Ringnalda (:philor) 2007-07-15 20:47:14 PDT
1.8-only, and thus Widget: Mac rather than Widget: Cocoa, no?
Comment 7 Mats Palmgren (:mats) 2007-07-16 03:26:10 PDT
True.
Comment 8 Mats Palmgren (:mats) 2007-07-16 08:08:53 PDT
Created attachment 272494 [details] [diff] [review]
Patch rev. 1

Reset sLastActive when the window is destroyed.
Nulling out mWindowPtr isn't necessary to fix the crash here but it
makes the code more robust against similar problems in the future.
Comment 9 Mats Palmgren (:mats) 2007-07-16 08:13:35 PDT
I think bug 378990 is the same thing.
Comment 10 Mats Palmgren (:mats) 2007-07-22 06:29:38 PDT
Comment on attachment 272494 [details] [diff] [review]
Patch rev. 1

sr for branches please.
Comment 11 David Ross 2007-08-20 08:49:47 PDT
Andrew Schultz thought that my issue might be this bug. Here's my details:

Mac G4/733 1.5gb ram, OS 10.4.10.

FF v2.0.0.6
SM v1.1.4

When accessing American Airlines employee flight booking site SM crashes (unexpected quit) out each time. But FireFox works fine. Both at latest shipping versions. I have crash logs.

But I can't tell anyone how to reproduce the problem as I can't give out my wife's employee login credentials. Way too many things hide behind this login.

Want me to post a crash log?
Comment 12 David D. Kilzer (ddk) 2007-08-20 09:22:33 PDT
(In reply to comment #11)
> Want me to post a crash log?

Have you submitted the crashes to Talkbalk?  If so, post the Talkback IDs here.

Comment 13 David Ross 2007-08-20 11:50:08 PDT
(In reply to comment #12)
> (In reply to comment #11)
> > Want me to post a crash log?
> 
> Have you submitted the crashes to Talkbalk?  If so, post the Talkback IDs here.
> 

SeaMonkey v1.1.4 has talkback?
Comment 14 David D. Kilzer (ddk) 2007-08-20 13:22:45 PDT
(In reply to comment #13)
> SeaMonkey v1.1.4 has talkback?

It doesn't?  Sorry, I assumed it did.  Does this reproduce on Firefox 2.0.0.x?

Comment 15 David D. Kilzer (ddk) 2007-08-20 13:23:33 PDT
(In reply to comment #11)
> Want me to post a crash log?

Yes, please attach crash logs.

Comment 16 David Ross 2007-08-20 13:55:05 PDT
Created attachment 277435 [details]
Crash Log for SM when FF works ok

A crash log for the following setup:
Mac G4/733 1.5gb ram, OS 10.4.10.

FF v2.0.0.6
SM v1.1.4

No extensions installed.

When accessing American Airlines employee flight booking site SM crashes
(unexpected quit) out each time. But FireFox works fine. Both at latest
shipping versions. I have crash logs.

But I can't tell anyone how to reproduce the problem as I can't give out my
wife's employee login credentials. Way too many things hide behind this login.
Comment 17 Daniel Veditz [:dveditz] 2007-09-07 11:28:39 PDT
Comment on attachment 272494 [details] [diff] [review]
Patch rev. 1

approved for 1.8.1.7, a=dveditz for release-drivers
Comment 18 Mats Palmgren (:mats) 2007-10-02 18:39:12 PDT
Checked in on MOZILLA_1_8_BRANCH

mozilla/widget/src/mac/nsMacEventHandler.cpp 	1.172.4.25
mozilla/widget/src/mac/nsMacEventHandler.h 	1.41.4.14
mozilla/widget/src/mac/nsMacWindow.cpp 	1.158.2.30
mozilla/widget/src/mac/nsWindow.cpp 	1.232.2.9 

-> FIXED
Comment 19 Carsten Book [:Tomcat] 2007-10-16 15:22:35 PDT
verified fixed for 1.8.1.8 using Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.8) Gecko/2007100816 Firefox/2.0.0.8 and the steps to reproduce from comment #0 

no crash -> adding verified keyword

Note You need to log in before you can comment on or make changes to this bug.